/** When your routing table is too long, you can split it into small modules**/

import Layout from "@/layout";

const orderRouter = {
  path: "/orderManage-sup",
  component: Layout,
  name: "orderManage-sup1",
  meta: { title: "订单管理", icon: "" },
  alwaysShow: true,
  hidden: true,
  children: [
    {
      // 采购订单-待确认详情
      path: "acceptDetail",
      component: () => import("@/views/page/orderManage-sup/purOrderAccept/acceptDetail.vue"),
      name: "acceptDetail",
      meta: { title: "采购订单受理-待确认详情", icon: "" },
      hidden: true
    },
    {
      // 采购订单-已确认详情
      path: "confirmDetail",
      component: () => import("@/views/page/orderManage-sup/purOrderConfirmed/confirmDetail.vue"),
      name: "confirmDetail",
      meta: { title: "采购订单-已确认详情", icon: "" },
      hidden: true
    },
    {
      // 采购订单-待出库详情
      path: "deliveryDetail",
      component: () => import("@/views/page/orderManage-sup/purOrderDelivery/deliveryDetail.vue"),
      name: "deliveryDetail",
      meta: { title: "采购订单-待出库详情", icon: "" },
      hidden: true
    },
    {
      // 采购订单-已出库详情
      path: "alreadyDetail",
      component: () => import("@/views/page/orderManage-sup/alreadyDelivery/alreadyDetail.vue"),
      name: "alreadyDetail",
      meta: { title: "采购订单-已出库详情", icon: "" },
      hidden: true
    },
    {
      // 采购订单-已出库详情
      path: "catalogdetails",
      component: () => import("@/views/page/consumCataManage-sup/catalogdetails.vue"),
      name: "catalogdetails",
      meta: { title: "耗材目录详情", icon: "" },
      hidden: true
    },
    
    {
      // 退货订单受理-待确认详情
      path: "returnDetail",
      component: () => import("@/views/page/productreturnmanage-sup/returnOrderAccept/returnDetail.vue"),
      name: "returnDetail",
      meta: { title: "退货待确认详情", icon: "" },
      hidden: true
    },
    {
      // 退货订单受理-已确认详情
      path: "returncomDetail",
      component: () => import("@/views/page/productreturnmanage-sup/returnOrderAccept/returncomDetail.vue"),
      name: "returncomDetail",
      meta: { title: "退货已确认详情", icon: "" },
      hidden: true
    },
  ]
};

export default orderRouter;
